Gerardo Juarez-Mondragon wrote:
> Hi,
>
> I have SpamAssassin version 3.1.9 running on Perl version 5.8.8,
> Centos 5.1 OS. SpamAssassin has run perfectly so far.
>
> However, this monday I repeated the usual procedure to train the filters
> and received a lot of errors, similar to this pair:
>
> --------------------------------
> plugin: failed to parse plugin (from @INC): Can't locate
> Mail/SpamAssassin/Plugi n/Check.pm in @INC (


Sounds like you've got a bad mix of 3.2.x and 3.1.x code on your system.
Check.pm is not a part of any 3.1.x version of SpamAssassin, but is a
part of 3.2.0 and higher.

Did you at some point try to install 3.2.x and then back it out?